diff -u -w "finder-CVS-2008-03-12.el" "finder-patched-2008-03-14a.el"
--- finder-CVS-2008-03-12.el	2008-03-12 10:07:40.000000000 -0700
+++ finder-patched-2008-03-14a.el	2008-03-14 14:29:10.000000000 -0700
@@ -110,6 +110,12 @@
     (define-key map "d"	'finder-list-keywords)
     map))
 
+(defvar finder-mode-syntax-table
+  (let ((st (copy-syntax-table emacs-lisp-mode-syntax-table)))
+    (modify-syntax-entry ?\; ".   " st)
+    st)
+  "Syntax table used while in `finder-mode'.")
+
 
 ;;; Code for regenerating the keyword list.
 
@@ -343,7 +349,11 @@
   (interactive)
   (kill-all-local-variables)
   (use-local-map finder-mode-map)
-  (set-syntax-table emacs-lisp-mode-syntax-table)
+  (set-syntax-table finder-mode-syntax-table)
+  (font-lock-add-keywords
+   'finder-mode
+   '(("`\\([^']+\\)'" 1 font-lock-constant-face prepend)))
+   ;; '(("`\\(\\sw\\sw+\\)'" 1 font-lock-constant-face prepend)))
   (setq mode-name "Finder")
   (setq major-mode 'finder-mode)
   (set (make-local-variable 'finder-headmark) nil)
@@ -359,15 +369,13 @@
 finder directory, \\[finder-exit] = quit, \\[finder-summary] = help")))
 
 (defun finder-exit ()
-  "Exit Finder mode and kill the buffer."
+  "Exit Finder mode.
+Delete the window and kill the buffer."
   (interactive)
-  (or (one-window-p t)
-      (delete-window))
-  ;; Can happen in either buffer -- kill each of the two that exists
-  (and (get-buffer "*Finder*")
-       (kill-buffer "*Finder*"))
-  (and (get-buffer "*Finder Category*")
-       (kill-buffer "*Finder Category*")))
+  (condition-case nil (delete-window window) (error nil))
+  (when (get-buffer "*Finder*") (kill-buffer "*Finder*"))
+  (when (get-buffer "*Finder-package*") (kill-buffer "*Finder-package*"))
+  (when (get-buffer "*Finder Category*") (kill-buffer "*Finder Category*")))
 
 
 (provide 'finder)

Diff finished at Fri Mar 14 14:30:19
